%define	_localstatedir	/var/lib
%define	mfsconfdir	%{_sysconfdir}/mfs

%define major		1
%define libname		%mklibname mfsio %{major}
%define develname	%mklibname mfsio -d

Summary:	MooseFS - distributed, fault tolerant file system
Name:		moosefs
Version:	4.57.7
Release:	%mkrel 1
License:	GPLv3
Group:		System/Cluster
URL:		https://www.moosefs.org/
Source0:	https://github.com/moosefs/moosefs/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	python3
BuildRequires:	pkgconfig(fuse3)
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(zlib)

%description
MooseFS is an Open Source, easy to deploy and maintain, distributed,
fault tolerant file system for POSIX compliant OSes.

%package master
Summary:	MooseFS master server
Group:		System/Cluster

%description master
MooseFS master (metadata) server together with metarestore utility.

%package metalogger
Summary:	MooseFS metalogger server
Group:		System/Cluster

%description metalogger
MooseFS metalogger (metadata replication) server.

%package chunkserver
Summary:	MooseFS data server
Group:		System/Cluster

%description chunkserver
MooseFS data server.

%package client
Summary:	MooseFS client
Group:		System/Cluster

%description client
MooseFS client: mfsmount and mfstools.

%package cgi
Summary:	MooseFS CGI Monitor
Group:		System/Cluster
Requires:	python3

%description cgi
MooseFS CGI Monitor.

%package -n %{libname}
Summary:	C++ library for MooseFS
Group:		System/Libraries

%description -n %{libname}
C++ library for MooseFS.

%package -n %{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	mfsio-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build PYTHON=python3

%install
%make_install

mv %{buildroot}/sbin/* %{buildroot}%{_sbindir}/

%pre master
%_pre_useradd mfs /var/lib/mfs /sbin/nologin
%_pre_groupadd mfs mfs

%files master
%doc NEWS README README.md
%attr(755,root,root) %{_sbindir}/mfsbdev
%attr(755,root,root) %{_sbindir}/mfsmaster
%attr(755,root,root) %{_sbindir}/mfsmetadump
%attr(755,root,root) %{_sbindir}/mfsmetarestore
%attr(755,root,root) %{_sbindir}/mfsmetadirinfo
%{_mandir}/man5/mfsbdev.cfg.5.*
%{_mandir}/man5/mfsexports.cfg.5*
%{_mandir}/man5/mfsmaster.cfg.5*
%{_mandir}/man8/mfsbdev.8*
%{_mandir}/man8/mfsmaster.8*
%{_mandir}/man8/mfsmetarestore.8*
%{_mandir}/man8/mfsmetadirinfo.8*
%{mfsconfdir}/mfsexports.cfg.sample
%{mfsconfdir}/mfsmaster.cfg.sample
%dir %attr(755,mfs,mfs) %{_localstatedir}/mfs
%{_localstatedir}/mfs/metadata.mfs.empty
%{_unitdir}/moosefs-master.service
%{_unitdir}/moosefs-master@.service

%files metalogger
%doc NEWS README README.md
%attr(755,root,root) %{_sbindir}/mfsmetalogger
%{_mandir}/man5/mfsmetalogger.cfg.5*
%{_mandir}/man8/mfsmetalogger.8*
%{mfsconfdir}/mfsmetalogger.cfg.sample
%{_unitdir}/moosefs-metalogger.service
%{_unitdir}/moosefs-metalogger@.service

%files chunkserver
%doc NEWS README README.md
%attr(755,root,root) %{_sbindir}/mfschunkserver
%{_mandir}/man5/mfschunkserver.cfg.5*
%{_mandir}/man5/mfshdd.cfg.5*
%{_mandir}/man8/mfschunkserver.8*
%{mfsconfdir}/mfschunkserver.cfg.sample
%{mfsconfdir}/mfshdd.cfg.sample
%{_mandir}/man5/mfstopology.cfg.5*
%{mfsconfdir}/mfstopology.cfg.sample
%{_unitdir}/moosefs-chunkserver.service
%{_unitdir}/moosefs-chunkserver@.service

%files client
%doc NEWS README README.md
%{mfsconfdir}/mfsgui.cfg.sample
%{mfsconfdir}/mfsipmap.cfg.sample
%{_bindir}/mfsappendchunks
%{_bindir}/mfsarchive
%{_bindir}/mfscheckfile
%{_bindir}/mfschkarchive
%attr(755,root,root) %{_bindir}/mfscli
%{_bindir}/mfsclonesclass
%{_bindir}/mfsclrarchive
%{_bindir}/mfscopyeattr
%{_bindir}/mfscopygoal
%{_bindir}/mfscopyquota
%{_bindir}/mfscopysclass
%{_bindir}/mfscopytrashretention
%{_bindir}/mfscopytrashtime
%{_bindir}/mfscreatepattern
%{_bindir}/mfscreatesclass
%{_bindir}/mfsdeleattr
%{_bindir}/mfsdeletepattern
%{_bindir}/mfsdeletesclass
%{_bindir}/mfsdelquota
%{_bindir}/mfsdiagtools
%{_bindir}/mfsdirinfo
%{_bindir}/mfseattr
%{_bindir}/mfsfacl
%{_bindir}/mfsfileinfo
%{_bindir}/mfsfilepaths
%{_bindir}/mfsfilerepair
%{_bindir}/mfsgeteattr
%{_bindir}/mfsgetfacl
%{_bindir}/mfsgetgoal
%{_bindir}/mfsgetquota
%{_bindir}/mfsgetsclass
%{_bindir}/mfsgettrashretention
%{_bindir}/mfsgettrashtime
%{_bindir}/mfsimportsclass
%{_bindir}/mfslistpattern
%{_bindir}/mfslistsclass
%{_bindir}/mfsmakesnapshot
%{_bindir}/mfsmodifysclass
%attr(755,root,root) %{_bindir}/mfsmount
%{_bindir}/mfspatadmin
%{_bindir}/mfsrmsnapshot
%{_bindir}/mfsquota
%{_bindir}/mfsrenamesclass
%{_bindir}/mfsscadmin
%{_bindir}/mfssclass
%{_bindir}/mfssetarchive
%{_bindir}/mfsseteattr
%{_bindir}/mfssetfacl
%{_bindir}/mfssetgoal
%{_bindir}/mfssetquota
%{_bindir}/mfssetsclass
%{_bindir}/mfssettrashretention
%{_bindir}/mfssettrashtime
%{_bindir}/mfssnapshots
%{_bindir}/mfstrashretention
%{_bindir}/mfstrashtime
%{_bindir}/mfstrashtool
%{_bindir}/mfsxchgsclass
%{_sbindir}/mount.moosefs
%{_sbindir}/mfschunkdbdump
%{_sbindir}/mfschunktool
%{_sbindir}/mfsgui
%{_sbindir}/mfsmetasearch
%{_sbindir}/mfsnetdump
%{_sbindir}/mfscsstatsdump
%{_sbindir}/mfsstatsdump
%{_sbindir}/mfssupervisor
%{mfsconfdir}/mfsmount.cfg.sample
%{_mandir}/man1/mfsappendchunks.1*
%{_mandir}/man1/mfsarchive.1.*
%{_mandir}/man1/mfscheckfile.1*
%{_mandir}/man1/mfschkarchive.1.*
%{_mandir}/man1/mfscli.1.*
%{_mandir}/man1/mfsclonesclass.1.*
%{_mandir}/man1/mfsclrarchive.1.*
%{_mandir}/man1/mfscopyeattr.1.*
%{_mandir}/man1/mfscopygoal.1.*
%{_mandir}/man1/mfscopyquota.1.*
%{_mandir}/man1/mfscopysclass.1.*
%{_mandir}/man1/mfscopytrashretention.1.*
%{_mandir}/man1/mfscopytrashtime.1.*
%{_mandir}/man1/mfscreatepattern.1.*
%{_mandir}/man1/mfscreatesclass.1.*
%{_mandir}/man1/mfsdeleattr.1*
%{_mandir}/man1/mfsdeletepattern.1.*
%{_mandir}/man1/mfsdeletesclass.1.*
%{_mandir}/man1/mfsdelquota.1.*
%{_mandir}/man1/mfsdiagtools.1.*
%{_mandir}/man1/mfsdirinfo.1*
%{_mandir}/man1/mfseattr.1.*
%{_mandir}/man1/mfsfacl.1.*
%{_mandir}/man1/mfsfileinfo.1*
%{_mandir}/man1/mfsfilepaths.1.*
%{_mandir}/man1/mfsfilerepair.1*
%{_mandir}/man1/mfsgeteattr.1*
%{_mandir}/man1/mfsgetfacl.1.*
%{_mandir}/man1/mfsgetgoal.1*
%{_mandir}/man1/mfsgetquota.1.*
%{_mandir}/man1/mfsgetsclass.1.*
%{_mandir}/man1/mfsgettrashretention.1.*
%{_mandir}/man1/mfsgettrashtime.1*
%{_mandir}/man1/mfsgoal.1.*
%{_mandir}/man1/mfsimportsclass.1.*
%{_mandir}/man1/mfslistpattern.1.*
%{_mandir}/man1/mfslistsclass.1.*
%{_mandir}/man1/mfsmakesnapshot.1*
%{_mandir}/man1/mfsmodifysclass.1.*
%{_mandir}/man1/mfspatadmin.1.*
%{_mandir}/man1/mfsquota.1.*
%{_mandir}/man1/mfsrenamesclass.1.*
%{_mandir}/man1/mfsrmsnapshot.1.*
%{_mandir}/man1/mfsscadmin.1.*
%{_mandir}/man1/mfssclass.1.*
%{_mandir}/man1/mfssetarchive.1.*
%{_mandir}/man1/mfsseteattr.1*
%{_mandir}/man1/mfssetfacl.1.*
%{_mandir}/man1/mfssetgoal.1*
%{_mandir}/man1/mfssetquota.1.*
%{_mandir}/man1/mfssetsclass.1.*
%{_mandir}/man1/mfssettrashretention.1.*
%{_mandir}/man1/mfssettrashtime.1*
%{_mandir}/man1/mfssnapshots.1.*
%{_mandir}/man1/mfstools.1*
%{_mandir}/man1/mfstrashretention.1.*
%{_mandir}/man1/mfstrashtime.1.*
%{_mandir}/man1/mfsxchgsclass.1.*
%{_mandir}/man5/mfsgui.cfg.5.*
%{_mandir}/man5/mfsipmap.cfg.5.*
%{_mandir}/man5/mfsmount.cfg.5.*
%{_mandir}/man7/moosefs.7.*
%{_mandir}/man8/mfschunkdbdump.8.*
%{_mandir}/man8/mfschunktool.8.*
%{_mandir}/man8/mfscsstatsdump.8.*
%{_mandir}/man8/mfsgui.8.*
%{_mandir}/man8/mfsmetadump.8.*
%{_mandir}/man8/mfsmetasearch.8.*
%{_mandir}/man8/mfsmount.8*
%{_mandir}/man8/mfsnetdump.8.*
%{_mandir}/man8/mfsstatsdump.8.*
%{_mandir}/man8/mfssupervisor.8.*
%{_mandir}/man8/mount.moosefs.8.*
%{_unitdir}/moosefs-gui*.service

%files cgi
%doc NEWS README README.md
%attr(755,root,root) %{_sbindir}/mfscgiserv
%attr(755,mfs,mfs) %{_datadir}/mfscgi

%files -n %{libname}
%doc NEWS README README.md
%{_libdir}/libmfsio.so.%{major}{,.*}

%files -n %{develname}
%doc NEWS README README.md
%{_includedir}/mfsio.h
%{_libdir}/libmfsio.so


%changelog
* Tue Jul 08 2025 daviddavid <daviddavid> 4.57.7-1.mga10
+ Revision: 2252387
- new version: 4.57.7

* Mon Jul 07 2025 daviddavid <daviddavid> 3.0.117-4.mga10
+ Revision: 2250508
- rebuild for new fuse3 3.17.2

* Sat Jun 28 2025 umeabot <umeabot> 3.0.117-3.mga10
+ Revision: 2220780
- Mageia 10 Mass Rebuild

* Tue Dec 19 2023 papoteur <papoteur> 3.0.117-2.mga10
+ Revision: 2019331
- Mass Rebuild - Python 3.12

* Tue Oct 10 2023 kekepower <kekepower> 3.0.117-1.mga10
+ Revision: 1994187
- Update to version 3.0.117

* Sat Sep 10 2022 kekepower <kekepower> 3.0.116-1.mga9
+ Revision: 1886392
- Update to version 3.0.116

* Tue Mar 29 2022 umeabot <umeabot> 3.0.111-2.mga9
+ Revision: 1833462
- Mageia 9 Mass Rebuild

* Thu Mar 05 2020 daviddavid <daviddavid> 3.0.111-1.mga8
+ Revision: 1553935
- new version: 3.0.111
- switch to fuse3 and python3
- new lib and devel sub-pkgs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 22 2018 pterjan <pterjan> 3.0.101-1.mga7
+ Revision: 1323546
- Update to 3.0.101 and rename to moosefs
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ wally <wally>
- fix build on aarch64

* Fri Feb 05 2016 umeabot <umeabot> 1.6.27-4.mga6
+ Revision: 936388
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.27-3.mga5
+ Revision: 750853
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.27-2.mga5
+ Revision: 682372
- Mageia 5 Mass Rebuild

* Fri Nov 22 2013 dlucio <dlucio> 1.6.27-1.mga4
+ Revision: 552378
- imported package mfs


* Wed Jun 08 2011 Leonardo Coelho <leonardoc@mandriva.com> 1.6.20-2mdv2011.0
+ Revision: 683304
- bump version
- create mfs user and permissions

* Mon May 30 2011 Leonardo Coelho <leonardoc@mandriva.com> 1.6.20-1
+ Revision: 681886
- package creation on mandriva
- Created package structure for mfs.

